<?php
require '../../../config/config.php';
session_start();

// بررسی لاگین مدیر
if (!isset($_SESSION['admin_logged_in'])) {
    header("Location: index.php");
    exit();
}

// دریافت شناسه خودرو و مشتری از فرم
if (!isset($_POST['car_id']) || !isset($_POST['customer_id'])) {
    die("شناسه خودرو یا مشتری نامعتبر است.");
}

$car_id = intval($_POST['car_id']);
$customer_id = intval($_POST['customer_id']); // دریافت customer_id از فرم

// بررسی اینکه آیا این خودرو در سرویس‌ها ثبت شده است یا نه
$stmt = $pdo->prepare("SELECT COUNT(*) FROM services WHERE car_id = ?");
$stmt->execute([$car_id]);
$service_count = $stmt->fetchColumn();

if ($service_count > 0) {
    die("این خودرو دارای سرویس ثبت‌شده است و قابل حذف نیست.");
}

// حذف خودرو از دیتابیس
try {
    $stmt = $pdo->prepare("DELETE FROM customer_cars WHERE id = ?");
    $stmt->execute([$car_id]);

    // ثبت لاگ حذف خودرو
    logActivity($pdo, $_SESSION['admin_id'], "حذف خودرو با شناسه $car_id");

    // رفرش صفحه با JavaScript
    echo "<script>alert('خودرو با موفقیت حذف شد.'); window.location.href = 'edit_customer.php?customer_id=" . $customer_id . "';</script>";
    exit();
} catch (PDOException $e) {
    die("خطایی در حذف خودرو رخ داد: " . $e->getMessage());
}
?>
