<?php
require '../../../config/config.php';
include '../../../helpers/jdf.php';
session_start();
// تنظیم منطقه زمانی به تهران
date_default_timezone_set('Asia/Tehran');

// بررسی لاگین مدیر
if (!isset($_SESSION['admin_logged_in'])) {
    header("Location: index.php");
    exit();
}

$stmt = $pdo->prepare("SELECT * FROM sent_sms ORDER BY sent_at DESC");
$stmt->execute();
$sms_messages = $stmt->fetchAll(PDO::FETCH_ASSOC);

?>

<!DOCTYPE html>
<html lang="fa" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>پیامک‌های ارسال شده</title>
    <link href="https://cdn.jsdelivr.net/gh/rastikerdar/vazir-font@v30.1.0/dist/font-face.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
    <style>
        body {
            font-family: 'Vazir', sans-serif;
        }
    </style>
</head>
<body class="bg-gray-100 text-gray-800">

    <!-- هدر -->
    <header class="bg-gray-600 text-white py-4">
        <div class="container mx-auto px-4">
            <h1 class="text-2xl font-bold">لیست پیامک‌های ارسال شده</h1>
        </div>
    </header>

    <!-- بخش اصلی -->
    <main class="container mx-auto px-4 py-8">
        <!-- جدول پیامک‌ها -->
        <div class="overflow-x-auto bg-white rounded-lg shadow-md">
            <table class="min-w-full">
                <thead class="bg-gray-600 text-white">
                    <tr>
                        <th class="px-6 py-3 text-right">شماره مشتری</th>
                        <th class="px-6 py-3 text-right">متن پیامک</th>
                        <th class="px-6 py-3 text-right">تاریخ ارسال</th>
                    </tr>
                </thead>
                <tbody class="divide-y divide-gray-200">
                    <?php foreach ($sms_messages as $sms): ?>
                        <tr class="hover:bg-gray-50 transition-colors">
                            <td class="px-6 py-4"><?= htmlspecialchars($sms['phone_number']) ?></td>
                            <td class="px-6 py-4"><?= htmlspecialchars($sms['message']) ?></td>
                            <td class="px-6 py-4">
                                <?php
                                    $timestamp = strtotime($sms['sent_at'] . ' UTC');
                                    $timestamp -= 12600; // اختلاف زمانی ایران
                                    echo jdate("Y/m/d - H:i", $timestamp);
                                ?>
                            </td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>

        <!-- دکمه بازگشت -->
        <div class="mt-6 text-center">
            <a href="admin_dashboard" class="inline-block bg-blue-500 text-white px-6 py-2 rounded-lg hover:bg-blue-600 transition-colors">بازگشت به داشبورد</a>
        </div>
    </main>

</body>
</html>
