<?php
require '../../../config/config.php';
session_start();

$error_message = '';

// مرحله اول: دریافت شماره موبایل و ارسال OTP
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['send_otp'])) {
    $phone_number = trim($_POST['phone_number']);

    if (empty($phone_number) || !preg_match('/^09\d{9}$/', $phone_number)) {
        $error_message = "شماره موبایل معتبر نیست.";
    } else {
        try {
            // بررسی وجود شماره موبایل در دیتابیس
            $stmt = $pdo->prepare("SELECT * FROM customers WHERE phone_number = ?");
            $stmt->execute([$phone_number]);
            $customer = $stmt->fetch(PDO::FETCH_ASSOC);

            if ($customer) {
                $customer_id = $customer['id'];
                $otp_code = rand(1000, 9999);

                // ثبت یا به‌روزرسانی کد OTP در جدول otp_codes با زمان انقضا
                $stmt = $pdo->prepare("REPLACE INTO otp_codes (customer_id, otp_code, expiry_time) VALUES (?, ?, NOW() + INTERVAL 2 MINUTE)");
                $stmt->execute([$customer_id, $otp_code]);

                // ارسال پیامک OTP
                $username = "9179397191";
                $password = "a94da764-5d76-4688-bece-85390a2b766b";
                $from = "5000400012345";
                $to = $phone_number;
                $text = "کد ورود شما: $otp_code";

                $sms_url = "https://api.payamak-panel.com/post/sendsms.ashx";
                $sms_data = [
                    'username' => $username,
                    'password' => $password,
                    'to' => $to,
                    'from' => $from,
                    'text' => $text
                ];

                file_get_contents($sms_url . '?' . http_build_query($sms_data));

                $_SESSION['customer_id'] = $customer_id;
                header("Location: verify");
                exit();
            } else {
                $error_message = "شماره موبایل یافت نشد.";
            }
        } catch (PDOException $e) {
            $error_message = "خطایی رخ داد: " . $e->getMessage();
        }
    }
}
?>


<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>سامانه مشتریان</title>
    <link rel="stylesheet" href="../../../public/css/login.css">
    <link href="https://cdn.fontcdn.ir/Font/Persian/Yekan/Yekan.css" rel="stylesheet">
    <link rel="manifest" href="manifest.json">
</head>
<body>
<div class="login-container">
    <!-- تصویر مرتبط با ماهیت کار -->
    <img src="../../../images/29513.png" alt="ورود مشتری" class="login-image">

    <h1>سامانه مشتریان اتوسرویس</h1>

    <?php if ($error_message): ?>
        <p class="error-message"><?= htmlspecialchars($error_message) ?></p>
    <?php endif; ?>

    <form method="POST">
        <!-- تغییرات اعمال شده در اینجا -->
        <input type="text" 
               id="phone_number" 
               name="phone_number" 
               inputmode="numeric" 
               onkeypress="return /[0-9]/i.test(event.key)" 
               maxlength="11" 
               required 
               placeholder="شماره همراه خود را وارد کنید">
        <button type="submit" name="send_otp">درخواست رمز یکبارمصرف</button>
    </form>
    <p style="margin-top: 10px; color: #555;">نسخه 1.1.0</p>
</div>
</body>
</html>
