const CACHE_NAME = "offline-cache-v1";
const urlsToCache = [
    "https://cdn.fontcdn.ir/Font/Persian/Yekan/Yekan.css",
    "https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css",
    "https://cdn.tailwindcss.com",
    "manifest.json",
    "../../../images/icon-192x192.png",
    "../../../images/icon-384x384.png",
    "../../../images/icon-512x512.png",
    "../../../images/icon-152x152.png",
    "../../../images/icon-144x144.png",
    "../../../images/icon-72x72.png",
    "../../../images/icon-96x96.png",
    "../../../images/icon-128x128.png",
    "../fonts/Yekan.css",
    "/assets/js/tailwind.min.js",
    "/../../../images/29513.png"
];

// نصب Service Worker و کش کردن فایل‌ها
self.addEventListener("install", (event) => {
    event.waitUntil(
        caches.open(CACHE_NAME).then((cache) => {
            return cache.addAll(urlsToCache);
        })
    );
});

// فعال شدن و پاکسازی کش‌های قدیمی
self.addEventListener("activate", (event) => {
    event.waitUntil(
        caches.keys().then((cacheNames) => {
            return Promise.all(
                cacheNames
                    .filter((cache) => cache !== CACHE_NAME)
                    .map((cache) => caches.delete(cache))
            );
        })
    );
});

// رهگیری درخواست‌ها و ارائه پاسخ از کش
self.addEventListener("fetch", (event) => {
    event.respondWith(
        caches.match(event.request).then((response) => {
            return response || fetch(event.request);
        })
    );
});


